
QGIS Application - Bug report #1773

Problems when editing record 0 in the table of attributes

2009-07-13 09:34 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11833

Description

When editing the values of the cells of first line of the attribute table, the new values are not immediately refreshed after changing the

focus on another cell or (sometimes) after confirming by pressing "enter" or (sometimes) using the "tab" key.

As images are worth a 1000 words I have made a small screencast

http://www.faunalia.pt/downloads/att_table.mpeg

Associated revisions

Revision 09fe9a5a - 2009-12-21 12:20 AM - Jürgen Fischer

fix #1773

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12555 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 7f067126 - 2009-12-21 12:20 AM - Jürgen Fischer

fix #1773

git-svn-id: http://svn.osgeo.org/qgis/trunk@12555 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-11-25 05:23 AM - Giovanni Manghi

I still see the same behaviour on trunk 4 months later after having reported the bug. The linked screencast is still available to understand the problem.

#2 - 2009-12-10 09:13 AM - Giovanni Manghi

From #2245:

"1. Open table 2. Start editing 3. Double click any cell withing record 0 4. Edit 5. Click somewhere else, lets say record 1 -> note that edits don't show up 6.

Click back on the cell within record 0 -> value shows back up

Weirdly, this is not a problem for any other record."
#3 - 2009-12-20 03:20 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:7f067126 (SVN r12556).
